Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226038 - Merge Review: libpng
Summary: Merge Review: libpng
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:26 UTC by Nobody's working on this, feel free to take it
Modified: 2015-11-11 11:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-11 11:42:25 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:26:36 UTC
Fedora Merge Review: libpng

http://cvs.fedora.redhat.com/viewcvs/devel/libpng/
Initial Owner: tgl@redhat.com

Comment 1 Brian Pepple 2007-02-03 20:48:18 UTC
Good:
* Source URL in canonical.
* Group Tag is from official list.
* All paths begin with macros
* All directories are owned by this or other packages

Must Fix:
* rpmlint errors:
 E: libpng useless-explicit-provides libpng.so.3
 E: libpng tag-not-utf8 %changelog

Minor:
* Not preferred build root.
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Drop the '.' from the devel summary to quite rpmlint.

Is it still true that some graphical boot packages need the static lib?  And if
so, does it make sense to make a sub-package for the static lib?



Comment 2 Tom Lane 2007-02-08 20:15:37 UTC
Thanks for the review --- all those points are good.

As for the question about the static library, I'm not sure what to do.  The
previous package owner of libjpeg dropped its static library and there's been a
bunch of push-back about that, which makes me wary of doing it to libpng. 
Perhaps a sub-package is the answer; is there any precedent for that?

Comment 3 Rex Dieter 2007-02-08 20:34:39 UTC
See also: 
http://fedoraproject.org/wiki/PackagingDrafts/StaticLinkage
recommendation is to package it separately, something like libpng-static

Comment 4 Tom Lane 2007-02-12 16:29:51 UTC
All these issues are addressed in libpng-1.2.16.

Comment 5 Jason Tibbitts 2007-03-08 20:53:36 UTC
Hey, folks, why is this ticket closed?  Did someone approve it?

Comment 6 Rex Dieter 2007-03-08 20:56:14 UTC
Not that I can see, reopening (probably goofed up in the period of review 
rules confusion)

Comment 7 Tom Lane 2007-03-09 03:59:49 UTC
I closed it because I'd fixed the mentioned issues.  If that's not proper procedure, my fault; but I'm not 
sure why the bug should be ASSIGNED to me when there is not anything apparent for me to do.

Comment 8 Patrice Dumas 2007-03-09 09:43:08 UTC
I spotted that a better url is certainly
http://www.libpng.org/pub/png/libpng.html

make install DESTDIR=$RPM_BUILD_ROOT
is preferred over %makeinstall
Would it work here?

Suggestions:
use %defattr(-,root,root,-) instead of %defattr(-,root,root)

Document the Conflict with qt < 0:2.2.2


I reassign to nobody, as per the new new guidelines, this should be
assigned to the reviewer doing the formal review.


Comment 9 Patrice Dumas 2007-03-09 09:45:09 UTC
Source match upstream, but source timestamp isn't the same 
than upstream. Next time, please keep timestamp, with spectool -g or 
wget -N for example.

Comment 10 Patrice Dumas 2007-03-09 09:47:12 UTC
Another minor suggestion: in
rm -rf $RPM_BUILD_ROOT%{_libdir}/libpng.la
you can remove the -r since it is not a directory, and you could
even remove the -f such that the command fails if one day the 
file name change or there are no la shipped.

Comment 11 Cole Robinson 2015-02-11 20:37:36 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 12 Petr Hracek 2015-03-03 12:57:43 UTC
I have updated libpng.spec file:
scm-commit rawhide: https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20150302/1528991.html

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
-r was removed

rpmlint results:
$ rpmlint libpng.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$

Comment 13 Jan Kurik 2015-07-15 15:25:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 14 Petr Hracek 2015-11-11 11:42:25 UTC
The bug can closed so that all issues are fixed.


Note You need to log in before you can comment on or make changes to this bug.